code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
v_dir=$1 if [ ! -d $v_dir ]; then echo "$v_dir does not exist. will create it." mkdir $v_dir fi cp -r clustering.cpp\ CMakeLists.txt\ config.hpp.cmake.in\ density_clustering.cpp\ density_clustering.hpp\ density_clustering_mpi.cpp\ density_clustering_mpi.hpp\ density_clus...
lettis/Clustering
make_version.sh
Shell
bsd-2-clause
941
#!/bin/bash # Copyright 2015 The Chromium Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. # We're in the tools directory. ROOT_DIR="$(dirname "$(readlink -f "$0")")/.." source "${ROOT_DIR}/tools/common.sh" cd "${ROOT_DIR}" DARTFMT="${...
viettrungluu-cr/vterm
tools/dartfmt_all.sh
Shell
bsd-3-clause
402
#!/bin/bash # create animal thing class curl localhost:8080/v1/schema/things -H 'Content-Type: application/json' -d @./tools/dev/example-payloads/animal-class.json # create zoo thing class curl localhost:8080/v1/schema/things -H 'Content-Type: application/json' -d @./tools/dev/example-payloads/zoo-class.json # creat...
weaviate/weaviate
tools/dev/example-payloads/examples.sh
Shell
bsd-3-clause
994
#!/bin/bash # Switch to the directory with the project cd /home/pi/closedloopcoast-connector/ # Update nodejs sudo apt install nodejs # Get the latest code from github git pull origin master # Fetch dependencies if there are updates and install them npm install # Start node app as a user pi su pi -c 'screen -dm -S clos...
Relearn/closedloopcoast-connector
onboot.sh
Shell
bsd-3-clause
395
#!/bin/bash # author: Liang Gong if [ "$(uname)" == "Darwin" ]; then # under Mac OS X platform NODE='node' elif [ "$(expr substr $(uname -s) 1 5)" == "Linux" ]; then # under GNU/Linux platform NODE='nodejs' fi cd directory-traversal/serverhuwenhui RED='\033[0;31m' BLUE='\033[0;34m' GREEN='\033...
JacksonGL/NPM-Vuln-PoC
directory-traversal/serverhuwenhui/PoC.sh
Shell
bsd-3-clause
870
#!/bin/bash # key_convert.sh Convert private keys into PEM format for AMD usage # Chris Vidler - Dynatrace DCRUM SME 2016 # # config DEBUG=0 # script below do not edit OPTS=0 while getopts ":k:hds" OPT; do case $OPT in k) KEYFILE=$OPTARG OPTS=1 ;; h) ;; d) DEBUG=$((DEBUG + 1)) ;; s) STD...
cvidler/rtm_install_key
key_convert.sh
Shell
bsd-3-clause
7,164
#!/bin/bash # From: https://circleci.com/docs/1.0/nightly-builds/ _project=$1 _branch=$2 _circle_token=$3 trigger_build_url=https://circleci.com/api/v1.1/project/github/${_project}/tree/${_branch}?circle-token=${_circle_token} post_data=$(cat <<EOF { "build_parameters": { "TRIGGERED_BUILD": "true" } } EOF ) ...
AlexeyRaga/eta
utils/scripts/circleci-trigger.sh
Shell
bsd-3-clause
470
#!/usr/bin/env bash set -e # stop immediately on error # preprocessing of a macaque structural image # 1. brain extraction # 2. bias correction # 3. reference registration # these steps are dependent on each other and could therefore be repeated for # the best results # TODO: calculate the flirt cost based on the ...
neuroecology/MrCat
core/struct_macaque.sh
Shell
bsd-3-clause
24,953
nohup dstat -tcm --output /home/panfengfeng/trace_log/in-memory/movies/readrandom_multi_terark_index_256_old 2 > nohup.out & file=/data/publicdata/movies/movies.txt record_num=7911684 read_num=7911684 dirname=/mnt/datamemory rm -rf $dirname/* export TMPDIR=$dirname cp ../../terarkschema/dbmeta_movies_index_old.json $...
panfengfeng/leveldb_nark
in-memory-bench/read/test_movies_terark_index_old.sh
Shell
bsd-3-clause
1,893
#!/bin/sh make clean ${TERMITE_DIR}/termite-make -j200 make clean
hanwen/termite
test/open-files2/test.sh
Shell
bsd-3-clause
69
#!/bin/bash bash $RECIPE_DIR/prepare.bash $PYTHON -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
jjhelmus/berryconda
recipes/ruamel_yaml/build.sh
Shell
bsd-3-clause
117
ghc -outputdir='.ghc_garbage' --make -package-db=../../cabal-dev/packages-7.6.2.conf/ DSPInsert2.hs -O2 -rtsopts -prof -auto-all -caf-all -fforce-recomp ./DSPInsert2 +RTS -p mv DSPInsert2.prof DSPInsert/02/prof.prof ./DSPInsert2 +RTS -i0.00002 -hc -p mv DSPInsert2.hp DSPInsert/02/hc.hp hp2ps -e8in -c DSPInsert/02/hc....
Palmik/data-store
benchmarks/src/DSPInsert2_run.sh
Shell
bsd-3-clause
820
#!/bin/bash echo "Testing DefectDojo Service" echo "Waiting max 60s for services to start" # Wait for services to become available COUNTER=0 while [ $COUNTER -lt 10 ]; do curl -s -o "/dev/null" $DD_BASE_URL -m 120 CR=$(curl --insecure -s -m 10 -I "${DD_BASE_URL}login?next=/" | egrep "^HTTP" | cut -d' ' -f2)...
rackerlabs/django-DefectDojo
docker/entrypoint-integration-tests.sh
Shell
bsd-3-clause
4,722
#!/bin/sh set -e cd $(dirname $0) if [ "$1" = "" ]; then echo "Usage: $0 <TV_IP>" exit 1 fi if [ -e 'auth_cookie' ]; then read cookie < auth_cookie curl --silent --cookie \"$cookie\" -XPOST http://$1/sony/system -d '{"method":"getRemoteControllerInfo","params":[],"id":10,"version":"1.0"}' | python -m json...
BenWoodford/bravia-auth-and-remote
print_ircc_codes.sh
Shell
isc
387
#!/bin/sh export NODE_ENV=test export NODE_PATH=./src node_modules/gulp/bin/gulp.js watch:phantom
rachelmcquirk/hiking
bin/watch_phantom.sh
Shell
mit
99
curl --data '' http://readthedocs.org/build/2613
domidimi/ddt
rtdocs.sh
Shell
mit
49
#!/bin/sh #get the released plugin in npm registry cordova plugin rm cordova-wheel-selector-plugin cordova plugin add cordova-wheel-selector-plugin
jasonmamy/cordova-wheel-selector-plugin
examples/testapp/link-remote.sh
Shell
mit
149
phpdoc -d ./src/Vipa -t ./docs/phpdoc
okulbilisim/ojs
docs/phpdoc/generate.sh
Shell
mit
38
#!/bin/sh bower install bootstrap#2.3.2 rm -rf src/main/jquery mkdir -p src/main/less mv src/main/bootstrap/less/* src/main/less rm -rf src/main/bootstrap lessc src/main/less/bootstrap.less fixtures/bootstrap.css echo "Bootstrapped."
sbt/less-sbt
src/sbt-test/less-sbt/old-bootstrap/bootstrap.sh
Shell
mit
236
#!/bin/bash # Remove munkireport script rm -f "${MUNKIPATH}postflight.d/munkireport.py" rm -f "${MUNKIPATH}preflight.d/munkireport.py" # Remove munkireport.plist file rm -f "${MUNKIPATH}postflight.d/cache/munkireport.plist" rm -f "${MUNKIPATH}preflight.d/cache/munkireport.plist"
childrss/munkireport-php
app/modules/munkireport/scripts/uninstall.sh
Shell
mit
282
killall mongod # remove the directories rm -rf /data/rs1 /data/rs2 /data/rs3 # create them mkdir -p /data/rs1 /data/rs2 /data/rs3 mongod --replSet m101 --logpath "1.log" --dbpath /data/rs1 --port 27017 --smallfiles --oplogSize 200 --fork mongod --replSet m101 --logpath "2.log" --dbpath /data/rs2 --port 27018 --smallfi...
italoag/M101P
Week6/lesson_files/start_replica_set.sh
Shell
mit
456
#!/bin/bash pylint --rcfile=.pylintrc ppp_datamodel_notation_parser
ProjetPP/PPP-DatamodelNotationParser
run_pylint.sh
Shell
mit
68
#!/usr/bin/env bash while true do cargo test --color=always --package morpheus --bin morpheus relationship -- --nocapture done
shisoft/Morpheus
scripts/repeatdly_model_test.sh
Shell
epl-1.0
127
#!/bin/bash (cat VERSION 2>/dev/null || echo 0) | sed 's/^\([0-9][0-9]*\)\.\([0-9][0-9]*\)-\([0-9][0-9]*\)-.*/\2/g' || echo 0
lzxbill7/myleet
script/get_version_minor.sh
Shell
gpl-2.0
127
######################################################################## # Bug #983685: innodb_data_file_path is not written to backup-my.cnf ######################################################################## . inc/common.sh start_server options="innodb_data_file_path" mkdir -p $topdir/backup innobackupex $t...
janlindstrom/percona-xtrabackup
storage/innobase/xtrabackup/test/t/bug983685.sh
Shell
gpl-2.0
666
#!/bin/bash export ARCH=arm export CROSS_COMPILE=arm-linux-androideabi-
jstotero/Old_Cucciolone
setenv.sh
Shell
gpl-2.0
72
#!/bin/bash # ################################################################################################################## # # DO NOT JUST RUN THIS. EXAMINE AND JUDGE. AT YOUR OWN RISK. # ################################################################################################################## conky -c...
erikdubois/Archi3
start-conkys.sh
Shell
gpl-2.0
388
# (c) 2014-2015 Sam Nazarko # email@samnazarko.co.uk #!/bin/bash . ../common.sh # Build in native environment if [ $1 == "rbp1" ]; then pull_source "https://github.com/bavison/arm-mem/archive/cd2c8f9202137c79f7afb77ecb87e713a0800d3c.zip" "$(pwd)/src"; fi if [ $1 == "rbp2" ]; then pull_source "https://github.com/bavis...
ActionAdam/osmc
package/rbp-armmem-osmc/build.sh
Shell
gpl-2.0
909
function named() { case "$1" in "yes") $YUM_CMD bind bind-utils 2>&1 | tee -a $LOG # if xs data files are installed before bind, named user doesn't exist, # and group ownership is set to root, which user named cannot read if [ -d /var/named-xs ]; then chown -R named /var/na...
tim-moody/xsce
deprecated/plugins.d/named/named.sh
Shell
gpl-2.0
778
#! /bin/sh $XGETTEXT *.cpp -o $podir/imagerename_plugin.pot
kolab-groupware/kde-runtime
renamedlgplugins/images/Messages.sh
Shell
gpl-2.0
61
#!/bin/sh # --- T2-COPYRIGHT-NOTE-BEGIN --- # This copyright note is auto-generated by ./scripts/Create-CopyPatch. # # T2 SDE: package/.../xorg-server/xvfb-run.sh # Copyright (C) 2005 The T2 SDE Project # Copyright (C) XXXX - 2005 Debian # # More information can be found in the files COPYING and README. # # This pro...
picklingjar/Webkitd
scripts/xvfb-run.sh
Shell
gpl-3.0
6,031
#!/bin/sh (cd ../.. ; ./run.sh Recom2 1 v-naif constant 10 datasets/renault_medium 10 -e -s 10 | tee experiments/exp14/vnaif-10-medium-10s) (cd ../.. ; ./run.sh Recom2 1 v-naif constant 20 datasets/renault_medium 10 -e -s 10 | tee experiments/exp14/vnaif-20-medium-10s) (cd ../.. ; ./run.sh Recom2 1 v-naif constant 50 ...
PFgimenez/thesis
experiments/exp14/run-nb-neighbours-medium.sh
Shell
gpl-3.0
1,113
#!/bin/sh # GNSS-SDR shell script that enables the remote GNSS-SDR restart telecommand # usage: ./gnss-sdr-harness.sh ./gnss-sdr -c config_file.conf # SPDX-FileCopyrightText: Javier Arribas <javier.arribas(at)cttc.es> # SPDX-License-Identifier: GPL-3.0-or-later echo $@ $@ while [ $? -eq 42 ] do echo "restarting GNSS...
gnss-sdr/gnss-sdr
src/utils/scripts/gnss-sdr-harness.sh
Shell
gpl-3.0
338
sed 's/defaultOS = .*,/defaultOS = '$OS',/g' $1 | \ sed 's/defaultWordsize = .*,/defaultWordsize = '$WORDSIZE',/g'
Pastor/fcc
makedefaults.sh
Shell
gpl-3.0
114
#!/bin/bash #------------------------------------------------------- # GET INTERFACE TYPE 6 # generator for xmp_coarray_get.h # see also ../src/xmpf_coarray_get_wrap.f90{,.sh} #------------------------------------------------------- #-------------------- # sub #-------------------- echo72 () { str="$1 ...
omni-compiler/omni-compiler
libxmpf/include/xmp_coarray_get.h-Type6.sh
Shell
lgpl-3.0
2,995
#! /bin/bash # verify the accept order is observed curl_sparql_request \ -H 'Accept: application/sparql-results+json,application/sparql-results+xml,*/*;q=0.9' \ 'query=select%20count(*)%20where%20%7b?s%20?p%20?o%7d' \ | jq '.results.bindings[] | .[].value' | fgrep -q '"1"'
dydra/http-api-tests
sparql-protocol/GET-count-srj+srx.sh
Shell
unlicense
289
#!/bin/bash # Copyright 2017 The OpenEBS Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or ...
AmitKumarDas/maya
ci/travis-ci.sh
Shell
apache-2.0
1,206
#!/bin/bash # BASH function that kill and remove the running containers function stop() { P1=$(docker ps -q) if [ "${P1}" != "" ]; then echo "Killing all running containers" &2> /dev/null docker kill ${P1} fi P2=$(docker ps -aq) if [ "${P2}" != "" ]; then echo "Removing all containers" &2> /dev/null docker...
xchenibm/forktest
teardownAllDocker.sh
Shell
apache-2.0
1,031
# Copyright (c) 2014 The Native Client Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. export EXTRA_LIBS="${NACL_CLI_MAIN_LIB}" EnableGlibcCompat NACLPORTS_CPPFLAGS+=" -DGNULIB_defined_struct_sigaction -Dpipe=nacl_spawn_pipe" PatchS...
GoogleChromeLabs/chromeos_smart_card_connector
third_party/webports/src/src/ports/m4/build.sh
Shell
apache-2.0
427
#!/bin/bash ! golint ./... | egrep -v $(cat .excludelint | sed -e 's/^/ -e /' | sed -e 's/(//' | sed -e 's/)//' | tr -d '\n')
m3db/m3storage
.ci/lint.sh
Shell
apache-2.0
128
#!/bin/bash # Copyright 2018 The Tekton Authors # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or ag...
tektoncd/pipeline
vendor/github.com/tektoncd/plumbing/scripts/library.sh
Shell
apache-2.0
15,562
# Functions usage() { echo "Usage: $0 --key <openstack ssh key name> --instance-name <name> [--rhel7] [-n] [--auth-key-file <file location>]" echo "" } get_fault_info() { local instance_info=$1 echo "$instance_info" | grep -E "fault" } wait_for_instance_running() { local instance_name=$1 command="[ \$( ...
redhat-consulting/ose-utils
installation/openstack/provision.sh
Shell
apache-2.0
4,015
#!/bin/bash set -x pushd /home/vagrant > /dev/null 2>&1 tar xvf /vagrant/rabbitmq-java-client-bin-3.4.0.tar.gz > /dev/null 2>&1 popd > /dev/null 2>&1
boundary/boundary-vagrant-rabbitmq
install-rabbitmq-client.sh
Shell
apache-2.0
154
# This script takes care of testing your crate set -ex # TODO This is the "test phase", tweak it as you see fit main() { cd rustual-boy-cli cargo build cargo build --release if [ ! -z $DISABLE_TESTS ]; then return fi cargo test cargo test --release } # we don't run the "test ph...
jwestfall69/rustual-boy
ci/script.sh
Shell
apache-2.0
384
#!/bin/bash # # Copyright 2015 The Bazel Authors. All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by...
cushon/bazel
src/test/shell/integration/bazel_worker_test.sh
Shell
apache-2.0
21,185
#!/bin/bash # # Copyright (C) 2010, 2012 Google Inc. # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are # met: # # 1. Redistributions of source code must retain the above copyright notice, # this list of...
ganeti/ganeti
test/py/check-cert-expired_unittest.bash
Shell
bsd-2-clause
2,520
#!/usr/bin/env sh # Note: pipefail is not supported in POSIX shell and will be silently ignored, unless bash is used set -eo pipefail # Do some tests and exit with either 0 for healthy or 1 for unhealthy echo "Fix me or this docker-healthcheck.sh will never succeed!" false || exit 1 exit 0
edannenberg/kubler
template/docker/image/docker-healthcheck.sh
Shell
bsd-2-clause
294
#!/usr/bin/env bash # Copyright 2015, Google Inc. # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are # met: # # * Redistributions of source code must retain the above copyright # notice, this list of ...
w4-sjcho/grpc
tools/jenkins/run_jenkins.sh
Shell
bsd-3-clause
3,324
# # This file is part of the CernVM File System # This script takes care of creating, removing, and maintaining repositories # on a Stratum 0/1 server # # Implementation of the "cvmfs_server import" command # This file depends on fuctions implemented in the following files: # - cvmfs_server_util.sh # - cvmfs_server_co...
Gangbiao/cvmfs
cvmfs/server/cvmfs_server_import.sh
Shell
bsd-3-clause
13,144
ck rm experiment:demo-autotune-flags-susan-linux-*
ctuning/ck-autotuning
demo/autotuning-compiler-flags-susan-linux/_clean_autotune_entries.sh
Shell
bsd-3-clause
51
#!/bin/sh echo "Generating a new SSH key for GitHub..." # Generating a new SSH key # https://docs.github.com/en/github/authenticating-to-github/generating-a-new-ssh-key-and-adding-it-to-the-ssh-agent#generating-a-new-ssh-key ssh-keygen -t ed25519 -C $1 -f ~/.ssh/id_ed25519 # Adding your SSH key to the ssh-agent # ht...
davosian/dotfiles
ssh.sh
Shell
mit
872
#Given Kallisto's abundance calculations per SRA run per transcript, grouped into sets originating from the same tissue. #These grouped calculations are the output of fetchAndRun.sh, symlinked locally named thyroid.all and heart.all for two tissues #We compute the standard deviation between runs originating from the s...
NCBI-Hackathons/RNA-seq_Comparison_Pipeline
analysis/cleanest_transcript_ratio.sh
Shell
cc0-1.0
2,376
INITEX="platex -ini" LATEX=platex FORMAT=platex BIBTEX=jbibtex FMT=fmt
kenhys/tokyodebian-monthly-report
image200812/minimaltex/whizzy.sh
Shell
gpl-2.0
71
#!/bin/sh # Copyright (C) 2009-2013 OpenWrt.org . /lib/functions/leds.sh . /lib/ar71xx.sh get_status_led() { case $(ar71xx_board_name) in alfa-nx) status_led="alfa:green:led_8" ;; all0305) status_led="eap7660d:green:ds4" ;; ap132) status_led="ap132:green:status" ;; ap136-010|\ ap136-020) status_le...
lxl1140989/dmsdk
target/linux/ar71xx/base-files/etc/diag.sh
Shell
gpl-2.0
4,976
#!/bin/sh set -e export LANG=C iface="$1" mac=$(/sbin/ifconfig "$iface" | sed -n -e '/^.*HWaddr \([:[:xdigit:]]*\).*/{s//\1/;y/ABCDEF/abcdef/;p;q;}') which="" while read testmac scheme; do if [ "$which" ]; then continue; fi if [ "$mac" = "$(echo "$testmac" | sed -e 'y/ABCDEF/abcdef/')" ]; then which="$scheme"; fi...
Alberto-Beralix/Beralix
i386-squashfs-root/usr/share/doc/ifupdown/examples/get-mac-address.sh
Shell
gpl-3.0
380
#!/bin/bash PATHTEST='./src/test/java/es/tfg/ejemplos/CalculadoraTest.java' RESULTADOS='./resultsTests' if [ -e ./$RESULTADOS ] ; then rm -r ./$RESULTADOS; fi mkdir $RESULTADOS for testFile in $(ls ./tests) do echo $testFile rm $PATHTEST cp ./tests/$testFile $PATHTEST sh run.sh cp ./results/result.txt $RE...
cristhro/MutationTesting
proyectosPIT/Figuras_v2/ejecutarTests.sh
Shell
gpl-3.0
372
if [ "x${SDKDIR}" = "x" ]; then echo "You need to set the SDKDIR environment variable in order to use this script! Nothing will work until you do." fi if [ "x${NDKDIR}" = "x" ]; then echo "You need to set the NDKDIR environment variable in order to use this script! Nothing will work until you do." fi if [ "x${GCSDK...
hashcube/native-android
sdktools.sh
Shell
gpl-3.0
2,326
#!/usr/bin/env bash # Use this script to pin the commit used by the developments tracked by the CI OVERLAYS="./dev/ci/ci-basic-overlay.sh" process_development() { local DEV=$1 local REPO_VAR="${DEV}_CI_GITURL" local REPO=${!REPO_VAR} local BRANCH_VAR="${DEV}_CI_REF" local BRANCH=${!BRANCH_VAR} if [[ -z "...
silene/coq
dev/tools/pin-ci.sh
Shell
lgpl-2.1
1,181
sudo apt-get update sudo apt-get install -y ant openjdk-8-jdk; git clone https://github.com/fossasia/susi_server.git susi_server cd susi_server; sed -i.bak 's/^\(port.http=\).*/\180/' conf/config.properties sed -i.bak 's/^\(port.https=\).*/\1443/' conf/config.properties sed -i.bak 's/^\(upgr...
fazeem84/susi_server
cloud9-setup.sh
Shell
lgpl-2.1
393
#!/bin/bash cd "$(dirname $0)" ../../commons/show_data_info.sh $*
mF2C/COMPSs
performance_analysis/auto-cbm/scripts/get-results/cbmi/formatOut/cbm3/bin/show_data_info.sh
Shell
apache-2.0
65
#!/bin/bash # # # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. The ASF licenses this file # to you under the Apache License, Version 2.0 (the # "License"...
centic9/subversion-ppa
tools/buildbot/slaves/centos/svnbuild.sh
Shell
apache-2.0
1,848
#!/bin/bash BASE_DIR=`dirname $0` echo "" echo "Starting Karma Server (http://karma-runner.github.io/)" echo "------------------------------------------------------" karma start $BASE_DIR/../config/karma.conf.js $*
jackpunt/playground
scripts/test.sh
Shell
apache-2.0
218
#!/usr/bin/env bash ############################################################################### # Copyright 2017 The Apollo Authors. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of...
jinghaomiao/apollo
scripts/plot_trace.sh
Shell
apache-2.0
950
#!/bin/bash # Author: Matt Mastracci (matthew@mastracci.com) # AppleScript from http://stackoverflow.com/questions/4309087/cancel-button-on-osascript-in-a-bash-script # licensed under cc-wiki with attribution required # Remainder of script public domain osascript -e 'tell application "iTerm2" to version' > /dev/null ...
bestswifter/macbootstrap
tools/iterm2-recv-zmodem.sh
Shell
apache-2.0
1,177
#!/bin/bash # Copyright 2009-2012 Microsoft Corporation Johns Hopkins University (Author: Daniel Povey) # Apache 2.0. if [ $# -le 3 ]; then echo "Arguments should be a list of WSJ directories, see ../run.sh for example." exit 1; fi #dir=`pwd`/data/local/data #lmdir=`pwd`/data/local/nist_lm #mkdir -p $dir $...
irrawaddy28/multilingualdbn
local/make_wsj.sh
Shell
apache-2.0
8,968
#!/bin/bash awk ' BEGIN { # define devices to exclude excluded_devices[0] = "^ram" excluded_devices[1] = "^loop" } function foo(device, mdmap, result) { for (ij in mdmap) { split(ij, xx, SUBSEP) if (xx[1] == device) { result[xx[2]] = 1 } } } { if (NR == FNR) ...
maier/nad
plugins/linux/diskstats.sh
Shell
bsd-3-clause
1,846
#!/bin/sh # Copyright 2014 The Chromium OS Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. # Tests emerging all the ebuilds that use vboot_reference either as an # ebuild dependency or by checking out the code and compiling it in a # d...
coreboot/vboot
emerge_test.sh
Shell
bsd-3-clause
1,663
#!/usr/bin/env bash # Run the pipeline (ReadsPipelineSpark) on small data in HDFS. . utils.sh time_gatk "ReadsPipelineSpark -I hdfs:///user/$USER/small_spark_eval/CEUTrio.HiSeq.WGS.b37.NA12878.20.21.bam -O hdfs://${HDFS_HOST_PORT}/user/$USER/small_spark_eval/out/CEUTrio.HiSeq.WGS.b37.NA12878.20.21.vcf -R hdfs:///use...
magicDGS/gatk
scripts/spark_eval/small_reads-pipeline_hdfs.sh
Shell
bsd-3-clause
537
#!/bin/bash # from https://github.com/ekmett/lens/blob/master/scripts/hackage-docs.sh # Copyright 2012-2015 Edward Kmett, BSD3 license set -e if [ "$#" -ne 1 ]; then echo "Usage: scripts/hackage-docs.sh HACKAGE_USER" exit 1 fi user=$1 cabal_file=$(find . -maxdepth 1 -name "*.cabal" -print -quit) if [ ! -f "$ca...
jkr/pandoc-citeproc
hackage-docs.sh
Shell
bsd-3-clause
1,545
#!/bin/sh /usr/VICE/bin/x64
AreaScout/vice-gles2
src/arch/sdl/syllable-files/x64.sh
Shell
gpl-2.0
29
# Boeffla-Config controller interface # # Version: GPU 4 frequencies # # (C) andip71 # ******************************** # Kernel specific initialisation # ******************************** # kernel specification (hardware; type; target; url) KERNEL_SPECS="i9300;samsung;jb41;http://boeffla.df-kunde.de/sgs3/boeffla-kern...
Zzomborg/Laearning
ramdisk_boeffla/res/bc/bccontroller.sh
Shell
gpl-2.0
75,940
#!/bin/bash # =========================================================================== # eXe # Copyright 2012-2013, Pedro Peña Pérez, Open Phoenix IT # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Fo...
UstadMobile/exelearning-extjs5-mirror
tools/mki18n.sh
Shell
gpl-2.0
3,645
#!/bin/sh usage() { cat <<"_EOF_" Usage: sh test/pkgcheck.sh [--zlib-compat] Verifies that the various build systems produce identical results on a Unixlike system. If --zlib-compat, tests with zlib compatible builds. To build the 32 bit version for the current 64 bit arch: $ sudo apt install ninja-build diffosco...
af4t/Server
libs/zlibng/test/pkgcheck.sh
Shell
gpl-3.0
5,229
#!/bin/sh -e # # Copyright (c) 2012 Simone Basso <bassosimone@gmail.com>, # NEXA Center for Internet & Society at Politecnico di Torino # # This file is part of Neubot <http://www.neubot.org/>. # # Neubot is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as...
neubot/neubot-server
regress/neubot/database/migrate.sh
Shell
gpl-3.0
1,243
#!/bin/bash # Copyright 2014 Yajie Miao Carnegie Mellon University Apache 2.0 # This script trains tandem systems using bottleneck features (BNFs). The # BNF network is trained over fMLLR features. It is to be run after run.sh. # Before running this, you should already build the initial GMM model. This # sc...
weiwchu/kaldipdnn
run_tedlium/run-bnf-tandem-fbank.sh
Shell
apache-2.0
13,457
wget --quiet \ --method POST \ --header 'content-type: application/x-www-form-urlencoded' \ --body-data 'foo=bar&hello=world' \ --output-document \ - http://mockbin.com/har
postmanlabs/httpsnippet
test/fixtures/output/shell/wget/application-form-encoded.sh
Shell
mit
183
#!/bin/sh set -x #. ../tools/error_handler #trap 'error ${LINENO}' ERR target=${TARGET-/kb/runtime} if [[ $# -gt 0 ]] ; then target=$1 shift fi opts="" if [[ -x /usr/libexec/java_home ]] ; then if /usr/libexec/java_home ; then export JAVA_HOME=`/usr/libexec/java_home` else opts="$opts --without-java" fi ...
kbase/bootstrap
kb_thrift_runtime/thrift_build.sh
Shell
mit
1,074
#!/bin/bash FN="cancerdata_1.30.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.13/data/experiment/src/contrib/cancerdata_1.30.0.tar.gz" "https://bioarchive.galaxyproject.org/cancerdata_1.30.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-cancerdata/bioconductor-cancerdata_1.30.0_src_all.ta...
phac-nml/bioconda-recipes
recipes/bioconductor-cancerdata/post-link.sh
Shell
mit
1,302
#!/bin/bash case "$1" in opteron) echo "running tests on opteron" THE_LOCKS="HCLH TTAS ARRAY MCS TICKET HTICKET MUTEX SPINLOCK CLH" num_cores=48 platform_def="-DOPTERON" make="make" freq=2100000000 platform=opteron prog_prefix="numactl --physcpubind=0 ../" ;; opteron_optimize) echo "running ...
dailypips/libslock
scripts/correctness.sh
Shell
mit
1,748
#!/bin/sh set -e case "$(uname)" in Darwin) LIBTOOLIZE=${LIBTOOLIZE:-glibtoolize} ;; *) LIBTOOLIZE=${LIBTOOLIZE:-libtoolize} ;; esac AUTORECONF=${AUTORECONF:-autoreconf} ACLOCAL=${ACLOCAL:-aclocal} AUTOCONF=${AUTOCONF:-autoconf} AUTOHEADER=${AUTOHEADER:-autoheader} AUTOMAKE=${A...
vanzylad/pmacct-static-analyser-fixes
autogen.sh
Shell
gpl-2.0
2,180
# 96_collect_MC_serviceguard_infos.sh # Purpose of this script is to gather MC/SG related config files # in order to prepare a smooth rolling upgrade # List files and directories in SGLX_FILES SGLX_FILES="/etc/hostname /etc/vconsole.conf /etc/locale.conf /etc/sysconfig/keyboard /etc/sysconfig/network-scripts/ifcfg* /e...
krissi/rear
usr/share/rear/rescue/GNU/Linux/96_collect_MC_serviceguard_infos.sh
Shell
gpl-2.0
1,146
# $Id$ # # rc-addon-script for plugin audiorecorder # # Matthias Schwarzott <zzam@gentoo.org> : ${AUDIORECORDER_DIR:=/var/vdr/audiorecorder} plugin_pre_vdr_start() { add_plugin_param "--recdir=${AUDIORECORDER_DIR}" add_plugin_param "--debug=0" }
DmitriyHetman/gentoo
media-plugins/vdr-audiorecorder/files/rc-addon.sh
Shell
gpl-3.0
251
#!/bin/bash heat stack-create $1 -f bundle-trusty-lamp.heat.yml
cloudwatt/applications
bundle-trusty-lamp/stack-start.sh
Shell
gpl-3.0
65
#!/bin/bash # Copyright 2015 The Kubernetes Authors All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless require...
bcbroussard/kubernetes
hack/jenkins/e2e.sh
Shell
apache-2.0
9,160
#/bin/sh -f # things to do for travis-ci in the before_install section if ( test "`uname -s`" = "Darwin" ) then #cmake v2.8.12 is installed on the Mac workers now #brew update #brew install cmake echo else #install a newer cmake since at this time Travis only has version 2.8.7 sudo add-apt-repository --ye...
avalentino/PyTables
hdf5-blosc/travis-before-install.sh
Shell
bsd-3-clause
399
#!/bin/sh # Automate the compilation of the various locale PO files by automatically # generating them at night. # projname=boinctrunk projdir=/home/boincadm/pootle/po/$projname cd $projdir # Update anything that needs updating svn update # Iterrate through the various PO files looking for those that need to be a...
zonca/boinc
locale/updatetrans.sh
Shell
gpl-3.0
4,702
#!/bin/bash command="$*" echo ${command} # launch the command in the background eval ${command} & # get the PID PID=$! memlogfile="mem_evolution_${PID}.log" echo "#memory evolution of process ${PID}; columns indicate active children" > ${memlogfile} echo "#command line: ${command}" >> ${memlogfile} child_pid_list= ...
noferini/AliceO2
Utilities/Tools/monitor-mem.sh
Shell
gpl-3.0
1,617
#!/bin/bash echo "dockersh installer - installs prebuilt dockersh binary" echo "" echo "To install dockersh" echo " docker run -v /usr/local/bin:/target thiscontainer" echo "If you're using the publicly available (built from source) container, this is:" echo " docker run -v /usr/local/bin:/target yelp/dockersh" ec...
mehulsbhatt/dockersh
installer.sh
Shell
apache-2.0
542
#!/bin/bash FN="xlaevis2cdf_2.18.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.14/data/annotation/src/contrib/xlaevis2cdf_2.18.0.tar.gz" "https://bioarchive.galaxyproject.org/xlaevis2cdf_2.18.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-xlaevis2cdf/bioconductor-xlaevis2cdf_2.18.0_src_a...
cokelaer/bioconda-recipes
recipes/bioconductor-xlaevis2cdf/post-link.sh
Shell
mit
1,307
#!/usr/bin/env bash . "test/testlib.sh" reponame="submodule-test-repo" submodname="submodule-test-submodule" begin_test "submodule local git dir" ( set -e setup_remote_repo "$reponame" setup_remote_repo "$submodname" clone_repo "$submodname" submod mkdir dir echo "sub module" > dir/README git add dir/...
Jericho25/-git-lfs_miilkyway
test/test-submodule.sh
Shell
mit
2,986
#!/bin/bash set -e function pushdq() { pushd "$1" > /dev/null; } function popdq() { popd > /dev/null; } function error() { echo "$*" >&2; } BIN_DIR=$(dirname "$0") ROOT_DIR="$BIN_DIR/.." TMP_DIR="$ROOT_DIR/_tmp" SITE_DIR="$ROOT_DIR/_site" SASS_CACHE_DIR="$ROOT_DIR/.sass-cache" DATACACHE_DIR="$TMP_DIR/datacache" GITH...
oscerd/arquillian.github.com
_bin/deploy-production.sh
Shell
apache-2.0
2,101
#!/bin/sh ../../bin/pyjsbuild $@ Toggle
minghuascode/pyj
examples/toggle/build.sh
Shell
apache-2.0
40
#!/bin/bash # ################################################################################################################## # Written to be used on 64 bits computers # Author : Erik Dubois # Website : http://www.erikdubois.be #####################################################################################...
erikdubois/AntergosGnome
installation/install-atom-editor-bin-v1.sh
Shell
gpl-2.0
2,007
. ./init.sh mysql $M test -e "insert into t1 values(2, 200, 'aaaaaa')" sleep 1 mysql $S2 -e "stop slave" is_gtid_supported if test $? = 1 then mysql $S2 -e "change master to master_host='127.0.0.1', master_port=$S1P, master_user='rsandbox', master_password='rsandbox'" else mysql $S1 -e "reset master" mysql $S2 -e "cha...
ZuoGuocai/mha4mysql-manager
tests/t/t_online_3tier.sh
Shell
gpl-2.0
1,389
#!/bin/bash # Bootstrap and exit if KOLLA_BOOTSTRAP variable is set. This catches all cases # of the KOLLA_BOOTSTRAP variable being set, including empty. if [[ "${!KOLLA_BOOTSTRAP[@]}" ]]; then senlin-manage --config-file /etc/senlin/senlin.conf db_sync exit 0 fi
mrangana/kolla
docker/senlin/senlin-api/extend_start.sh
Shell
apache-2.0
273
#!/bin/sh # SUMMARY: Check that vmdk output format is generated # LABELS: amd64 set -e # Source libraries. Uncomment if needed/defined #. "${RT_LIB}" . "${RT_PROJECT_ROOT}/_lib/lib.sh" NAME=check clean_up() { rm -f ${NAME}* } trap clean_up EXIT linuxkit build -format vmdk -name "${NAME}" ../test.yml [ -f "${NAME...
JohnnyLeone/linuxkit
test/cases/000_build/000_formats/007_vmdk/test.sh
Shell
apache-2.0
348
#!/usr/bin/env bash # Copyright 2015 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applica...
huzhengchuan/kubernetes
test/kubemark/start-kubemark.sh
Shell
apache-2.0
20,642
#!/bin/sh . ../../dttools/test/test_runner_common.sh test_dir=`basename $0 .sh`.dir test_output=`basename $0 .sh`.output prepare() { mkdir $test_dir cd $test_dir ln -sf ../syntax/variable_scope.makeflow Makeflow cat > ../$test_output <<EOF 0 1 1 2 0 1 EOF exit 0 } run() { cd $test_dir ../../src/makeflow -d al...
nhazekam/cctools
makeflow/test/TR_makeflow_020_syntax_variable_scope.sh
Shell
gpl-2.0
505
#!/usr/bin/env bash DIR=$(git rev-parse --show-toplevel) REV=$(git log -n1 --pretty=%H) pushd ${DIR} > /dev/null || exit code=0 modules=(core gui analysis server) for module in "${modules[@]}"; do cp python/${module}/${module}_auto.sip python/${module}/${module}_auto.sip.$REV.bak done ./scripts/sip_include.sh fo...
mhugo/QGIS
tests/code_layout/test_sip_include.sh
Shell
gpl-2.0
995
#!/bin/bash # # Copyright 2007 Luis R. Rodriguez <mcgrof@winlab.rutgers.edu> # # Use this to parse a small .config equivalent looking file to generate # our own autoconf.h. This file has defines for each config option # just like the kernels include/linux/autoconf.h # # XXX: consider using scripts/kconfig/confdata.c i...
kbc-developers/android_kernel_semc_xperia2011
ti_wlan/compat-wireless-wl12xx/scripts/gen-compat-autoconf.sh
Shell
gpl-2.0
5,728